/*
 * DataType.h
 *
 *  Created on: Dec 7, 2017
 *      Author: Jan Travnicek
 */

#include <ostream>

class DataType {
	int m_a;

public:
	DataType ( int a ) : m_a ( a ) {
	}

	int getA ( ) const {
		return m_a;
	}

	friend std::ostream & operator << ( std::ostream & out, const DataType & type ) {
		return out << type.getA ( );
	}

};
